@ECHO OFF
call chkc915.exe
if errorlevel 1 goto FAIL

ECHO It needs some minutes for updating BIOS. (about 3 mins.)
ECHO Please do not power off when updating BIOS.
ECHO Start to update BIOS, please press any key................
PAUSE

DISEUP.EXE
fpt.exe -c -y
fpt.exe -f SH67H000.203

ECHO BIOS updating is finish. 
ECHO Please press any key to restart your computer........
PAUSE
fpt.exe -greset
goto END

:FAIL
goto END

:END
